# **Open Street Map AI Helper Blueprint**

Blueprints are customizable workflows that help developers build AI applications using open-source tools and models

These docs are your companion to mastering the **OSM-AI-Helper Blueprint**.

### Built with
- Python 3.10+
- [Ultralytics](https://github.com/ultralytics/ultralytics)
- [SAM 2](https://github.com/facebookresearch/sam2)

---

### 🚀 **Get Started Quickly**
#### _Start building the Blueprint in minutes:_
- **[Getting Started](getting-started.md):** Quick setup and installation instructions.

### 🔍 **Understand the System**
#### _Dive deeper into how the Blueprint works:_
- **[Step-by-Step Guide](step-by-step-guide.md):** A detailed breakdown of the system’s design and workflow.
- **[API Reference](api.md):** Explore the technical details of the core modules.

### 🎨 **Make It Yours**
#### _Customize the Blueprint to fit your needs:_
- **[Customization Guide](customization.md):** Tailor project parameters to fit your needs

### 🌟 **Join the Community**
#### _Help shape the future of Blueprints:_
- **[Future Features & Contributions](future-features-contributions.md):** Learn about exciting upcoming features and how to contribute to the project.


Have more questions? Reach out to us on Discord and we'll see how we can help:

<a target="_blank" href="https://discord.gg/c3Mxff4H"><img src="https://dcbadge.limes.pink/api/server/c3Mxff4H" alt="" /></a>

---

## **Why Blueprints?**

Blueprints are more than starter code—they’re your gateway to building AI-powered solutions with confidence. With step-by-step guidance, modular design, and open-source tools, we make AI accessible for developers of all skill levels.
